<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>PyBlog - {% block title %}{% endblock %}</title>
    {% bootstrap_css %}
    {% bootstrap_javascript jquery='full' %}
</head>
<body>
<div class="container">
    <nav class="navbar sticky-top navbar-expand-md navbar-dark bg-info">
        <a class="navbar-brand" href="{% url 'home' %}">PyBlog</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbar">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbar">
            <ul class="navbar-nav mr-auto">
                {% for item in navigation_items %}
                <li class="nav-item {% if item.active %}active{% endif %}">
                    <a class="nav-link" href="{{ item.url }}">{{ item.name }}</a>
                </li>
                {% endfor %}
            </ul>
        </div>
    </nav>
    <div class="row mt-4">
        {% block content %}Override this block {% endblock %}
    </div>
</div>

<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
        integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
        crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"
        integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN"
        crossorigin="anonymous"></script>
<script src="{% static 'js/bootstrap.min.js'%}"></script>
</body>
</html>